psychopy.org | Reference | Downloads | Github

Error trying to find existing study online

URL of experiment: Pavlovia

Description of the problem:
First we were having a resource error, so we’re trying to remove and then reupload the task we’d like to use.
However when we use psychopy and hit “find existing studies online (@ pavlovia.org)” we get the following error:
Traceback (most recent call last):
File “C:\Program Files\PsychoPy\lib\site-packages\gitlab\exceptions.py”, line 242, in wrapped_f
return f(*args, **kwargs)
File “C:\Program Files\PsychoPy\lib\site-packages\gitlab\mixins.py”, line 204, in create
**kwargs)
File “C:\Program Files\PsychoPy\lib\site-packages\gitlab_init_.py”, line 589, in http_post
post_data=post_data, files=files, **kwargs)
File “C:\Program Files\PsychoPy\lib\site-packages\gitlab_init_.py”, line 495, in http_request
response_body=result.content)
gitlab.exceptions.GitlabHttpError: 409: {‘name’: [‘has already been taken’], ‘path’: [‘has already been taken’]}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\app\pavlovia_ui\project.py”, line 354, in onSyncButton
fork = self.project.forkTo() # logged-in user
File “C:\Program Files\PsychoPy\lib\site-packages\psychopy\projects\pavlovia.py”, line 892, in forkTo
fork = self.pavlovia.forks.create(newProjInfo)
File “C:\Program Files\PsychoPy\lib\site-packages\gitlab\exceptions.py”, line 244, in wrapped_f
raise error(e.error_message, e.response_code, e.response_body)
gitlab.exceptions.GitlabCreateError: 409: {‘name’: [‘has already been taken’], ‘path’: [‘has already been taken’]}